#include <string>
#include <stdexcept>
#include <iterator>
#include <cstdlib>

int main(int argc, const char * argv[]) {
	// const 
    constexpr char command1[] = "DYLD_LIBRARY_PATH="; 
	constexpr char runnableFilename[] = "3DGence\\ Slicer";
	constexpr char appName[] = "Launcher.app";
    constexpr size_t testAppLen = std::size(appName) - 5; // argv do not contains "".app""
	
    // get working dir path and check if not empty
    std::string command(command1), path = std::string(argv[0]);
    if(path.empty()) throw std::runtime_error("given by argv path to executable empty!");
    if(path.find(appName, 0, 8) == std::string::npos) throw std::runtime_error("the Launcher file name changed - cannot start");
	
	// check if path contains unix dot cmd at the begin
	bool begin_dot = (path[0] == '.');
    if(begin_dot && path.size() > 2)
        command.append(std::string(path).erase(0,1)); // erase dot at path start
    else
        command.append(path);
	// remove the Launcher name
	command.erase(command.size() - testAppLen);
	// prepare path tu run
    path.erase(path.size()-testAppLen);
    path.append(runnableFilename);
	// make space
	command.append(" ");
	// append dot command if path does not contains
    if(!begin_dot)
        command.append(".");
    command.append(path);   
    // execute
    return std::system(command.c_str());
}
