import itertools

from cura.SIProxies.AutoarrangePlugin.OccupiedChunk import OccupiedChunk

class ModelLines:
    def __init__(self, size):
        self.height = size[0]
        self.width = size[1]
        self.x_shift = 0
        self.y_shift = 0
        self.lines = list(list() for i in range(self.height))
        self.columns = list(list() for i in range(self.width))

    def __addLine(self, y, x_min, x_max):
        chunk = OccupiedChunk(x_min, x_max)
        self.lines[y].append(chunk)

    def __addColumn(self, x, y_min, y_max):
        chunk = OccupiedChunk(y_min, y_max)
        self.columns[x].append(chunk)

    def from_bool_array(self, array):
        x_min = 0
        x_max = 0
        y_min = 0
        y_max = 0
        building_line = False
        line_finished = False
        for y in range(self.height):
            for x in range(self.width):
                if array[y][x] and not building_line:
                    x_min = x
                    building_line = True

                if array[y][x] and building_line:
                    x_max = x

                if not array[y][x] and building_line:
                    line_finished = True
                elif x == (self.width-1) and building_line:
                    line_finished = True

                if line_finished:
                    self.__addLine(y, x_min, x_max)
                    x_min = 0
                    x_max = 0
                    building_line = False
                    line_finished = False

        for x in range(self.width):
            for y in range(self.height):
                if array[y][x] and not building_line:
                    y_min = y
                    building_line = True

                if array[y][x] and building_line:
                    y_max = y

                if not array[y][x] and building_line:
                    line_finished = True
                elif y == (self.height-1) and building_line:
                    line_finished = True

                if line_finished:
                    self.__addColumn(x, y_min, y_max)
                    y_min = 0
                    y_max = 0
                    building_line = False
                    line_finished = False

    def move_model(self, mod):
        self.x_shift += mod[0]
        self.y_shift += mod[1]

    def get_position(self):
        position = (self.x_shift, self.y_shift)
        return position
