import math

from cura.SIProxies.AutoarrangePlugin.Autoarranger import Autoarranger
from cura.SIProxies.AutoarrangePlugin.OccupiedChunk import OccupiedChunk
from PIL import Image
from cura.SIProxies.AutoarrangePlugin.Toolbox import chunk_model

def main():
    print("execution started")
    table_width = 250
    table_depth = 150
    table_size = (table_width, table_depth)
    resolution = 5
    px_to_mm = 3
    autoarranger = Autoarranger(table_size, resolution, px_to_mm)
    # chunk1 = OccupiedChunk(0, 4)
    # chunk2 = OccupiedChunk(0, 3)
    # autoarranger.add_chunk_to_row(0, chunk1)
    # autoarranger.add_chunk_to_row(1, chunk2)

    # image = Image.open("test_output.bmp")

    image_size = (table_width*3, table_depth*3)

    resultImage = Image.new("RGBA", image_size)


    for i in range(1, 11):
        image = Image.open("output" + str(i) + ".bmp")
        result = autoarranger.add_model(image)
        if result:
            transparent = Image.open("output" + str(i) + "transparent.png")
            to_paste = Image.new("RGBA", (result[3]*resolution*px_to_mm, result[2]*resolution*px_to_mm))
            pasting_position = (math.floor((to_paste.width-transparent.width)/2),
                                math.floor((to_paste.height-transparent.height)/2))
            to_paste.paste(transparent, pasting_position)
            final_position = (result[0] * resolution*px_to_mm, result[1] * resolution*px_to_mm)
            resultImage.paste(to_paste, final_position, to_paste)
            resultImage.save("result.png")
        else:
            print("Model No. " + str(i) + " is not fitting here!")

    return True