# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.


## \package Bindings
#  Qt-based classes providing data bindings between Python and QML.
from PyQt5.QtQml import qmlRegisterType, qmlRegisterSingletonType

import os
import sys

current_dir = os.path.dirname(os.path.abspath(__file__))
sys.path.append(current_dir)
from cura.SIProxies.DataModelProxy import DataModelProxy
from cura.SIProxies.DataModelProxy import createDataModelProxy
from cura.SIProxies.Printer import Printer
from cura.SIProxies.ListField import ListField
from cura.SIProxies.ViewProxy import ViewProxy
from cura.SIProxies.ViewProxy import createViewProxy
from cura.SIProxies.CameraOperator import CameraOperator
from cura.SIProxies.CameraOperator import createDataCameraOperator
from cura.SIProxies.NotificationsProxy import NotificationsProxy
from cura.SIProxies.AutoarrangeTool import AutoarrangeTool
from cura.SIProxies.AutoarrangeTool import createAutoarrangeTool
from . import SettingsManage
from cura.SIProxies import Models
from cura.CustomSettingsActions import CustomSettingsActions
from cura.CustomSettingsActions import createCustomSettingsActions

qmlRegisterType(Printer, "SI", 1, 0, 'Printer')
qmlRegisterType(ListField, "SI", 1, 0, 'ListField')


qmlRegisterSingletonType(DataModelProxy, "SI", 1, 0, "DataModel", createDataModelProxy)
qmlRegisterSingletonType(ViewProxy, "SI", 1, 0, "ViewProxy", createViewProxy)
qmlRegisterSingletonType(CameraOperator, "SI", 1, 0, "CameraOperator", createDataCameraOperator)
qmlRegisterSingletonType(NotificationsProxy, "Gence", 1, 0, "Notifications", NotificationsProxy.createNotificationsProxy)
qmlRegisterSingletonType(AutoarrangeTool, "Gence", 1, 0, "Autoarrange", createAutoarrangeTool)
qmlRegisterSingletonType(CustomSettingsActions, "Gence", 1, 0, "CustomSettingsActions", createCustomSettingsActions)

qmlRegisterSingletonType(SettingsManage.NotificationsProxy,"Settings",1,0,"Notifications", SettingsManage.createNotificationsProxy)

qmlRegisterType(Models.PrintersModel.PrintersModel, "Gence", 1, 0, "PrintersModel")
qmlRegisterType(Models.NozzlesModel.NozzlesModel, "Gence", 1, 0, "NozzlesModel")
qmlRegisterType(Models.MaterialsModel.MaterialsModel, "Gence", 1, 0, "MaterialsModel")
qmlRegisterType(Models.QualitiesModel.QualitiesModel, "Gence", 1, 0, "QualitiesModel")

qmlRegisterSingletonType(Models.ModelsHolder.ModelsHolder, "Gence", 1, 0, "ModelsHolder", Models.ModelsHolder.CreateModelsHolder)




