# Copyright (c) 2015 Ultimaker B.V.
# Uranium is released under the terms of the AGPLv3 or higher.

from . import GenceProfileWriter

from UM.i18n import i18nCatalog
catalog = i18nCatalog("cura")

def getMetaData():
    return {
        "plugin": {
            "name": catalog.i18nc("@label", "Gence Profile Writer"),
            "author": "3DGence",
            "version": "1.0",
            "description": catalog.i18nc("@info:whatsthis", "Provides support for exporting Gence profiles."),
            "api": 3
        },
        "profile_writer": [
            {
                "extension": "profile",
                "description": catalog.i18nc("@item:inlistbox", "Profile")
            }
        ]
    }

def register(app):
    return { "profile_writer": GenceProfileWriter.GenceProfileWriter() }
