import QtQuick 2.4
import Settings 1.0 as Settings


AdditionsSupportButtonForm {
    Connections {
        target: autoMouseArea
        onClicked: {
            spinBoxAlias.initCuraParam()
            var support_enable = Settings.Notifications.init_cura_param("support_enable")
            var button_text = support_enable == "True" ? "Enabled" : "Disabled"
            supportButton.menuButtonText = "Support: " + button_text
            rigidButton.menuButtonText = "Rigid support: Disabled"
            rigidButton.deactivate = false

            if(support_enable == "True"){
                Settings.Notifications.support_enable = "True"
                spinBoxAlias.deactivate = false
            } else {
                Settings.Notifications.support_enable = "False"
                spinBoxAlias.deactivate = true
            }

            onAutoClicked()
        }
    }

    Connections {
        target: undoMouseArea
        onClicked: {
            spinBoxAlias.resetCuraParam()
            onUndoClicked()
        }
    }

    function onUndoClicked() {
        spinBox = false
        modifyAdditionsMenuHeight = false
        auto = true
        Settings.Notifications.support_enable = "None"
        Settings.Notifications.rigid_enable = "False"
        customSettingsCounter--

        updateCurrentOption()
    }

    function onAutoClicked() {
        spinBox = true
        modifyAdditionsMenuHeight = true
        auto = false
        customSettingsCounter++
        updateCurrentOption()
    }
}
