import QtQuick 2.4

import "../singletons"

RightMenuButtonForm {
    property url contentLoaderSource
    property int menuHeight
    property int menuWidth

    property int menuHeightMod

    buttonAction.onClicked: openMenu()

    function openMenu(){
        markButtonAsClicked()
        menu.open()
    }

    function closeMenu(){
        if(menuOpened){
            menu.close()
            markButtonAsActive()
        }
    }

    function markButtonAsClicked(){
        buttonTextVisibility = false
        buttonBackgroundColor = Colors.clickedButtonBackground
        buttonOptionTextColor = Colors.buttonOptionTextClicked
        cornerTriangleInColor = false
        deactivateButton = false
        buttonClicked = true
    }

    function markButtonAsActive(){
        buttonTextVisibility = true
        buttonBackgroundColor = Colors.buttonBackground
        buttonOptionTextColor = Colors.buttonOptionText
        cornerTriangleInColor = true
        buttonClicked = false
        deactivateButton = false
    }

    function markButtonAsNotActive(){
        markButtonAsActive()
        deactivateButton = true
    }
}
