import QtQuick 2.0
import QtQuick.Layouts 1.1

import "../tweaks"
import "../singletons"

Rectangle {
    property alias buttonText: text.text
    property alias buttonMouseArea: mouseArea
    property bool buttonEnabled: true

    property bool shadowVisible: true

    Layout.fillHeight: true
    Layout.preferredWidth: height
    color: Colors.spinBoxButton

    Text {
        id: text
        font.pixelSize: Globals.fontPixelSize
        font.weight: Font.Black
        font.family: Fonts.boxed
        anchors.centerIn: parent
        color: Colors.spinBoxButtonText
        text: "x"
    }
    MouseArea {
        id: mouseArea

        visible: buttonEnabled
        anchors.fill: parent
    }

    FullShadow {
        visible: shadowVisible
    }

    ButtonTweaks{
        helpText: typeof(objectHelpText) !== 'undefined' ? objectHelpText : ""
        helpImageSource: typeof(objectHelpImageSource) !== 'undefined' ? objectHelpImageSource : ""
        hoverIndicatorEnabled: !deactivate
    }
}
