import QtQuick 2.4
import QtQuick.Layouts 1.1

import "../../spinBox"
import "../../buttons"

Item {
    property alias resetAction: resetButton.buttonClickedAction
    property alias uniformOnAction: uniformOnButton.buttonClickedAction

//    property alias xScalePercentageAction: xSpinBox.spinBoxAAction
//    property alias xScaleAction:xSpinBox.spinBoxBAction

//    property alias yScalePercentageAction:ySpinBox.spinBoxAAction
//    property alias yScaleAction:ySpinBox.spinBoxBAction

//    property alias zScalePercentageAction:zSpinBox.spinBoxAAction
//    property alias zScaleAction:zSpinBox.spinBoxBAction



    property alias xSpinBox:xSpinBox
    property alias ySpinBox:ySpinBox
    property alias zSpinBox:zSpinBox

    property alias uniformOnButton:uniformOnButton

    ColumnLayout {
        id: layout
        anchors.fill: parent
        LabeledDoubleSpinBox {
            id: xSpinBox
            spinBoxLabel: "X:"
            spinBoxAUnit: "%"
            spinBoxBUnit: " mm"
            instantAccept: false
            acceptDot: true
            precision: 2
            Layout.bottomMargin: 5

            objectHelpText: "Scale the model in X axis by 1 mm or 1% (using the buttons) or any value when you enter the desired value in the text field"
            objectHelpImageSource: "../images/help/ScaleX.png"
        }

        LabeledDoubleSpinBox {
            id: ySpinBox
            spinBoxLabel: "Y:"
            spinBoxAUnit: "%"
            spinBoxBUnit: " mm"
            instantAccept: false
            acceptDot: true
            precision: 2
            Layout.bottomMargin: 5

            objectHelpText: "Scale the model in Y axis by 1 mm or 1% (using the buttons) or any value when you enter the desired value in the text field"
            objectHelpImageSource: "../images/help/ScaleY.png"
        }

        LabeledDoubleSpinBox {
            id: zSpinBox
            spinBoxLabel: "Z:"
            spinBoxAUnit: "%"
            spinBoxBUnit: " mm"
            instantAccept: false
            acceptDot: true
            precision: 2
            Layout.bottomMargin: 5

            objectHelpText: "Scale the model in Z axis by 1 mm or 1% (using the buttons) or any value when you enter the desired value in the text field"
            objectHelpImageSource: "../images/help/ScaleZ.png"
        }

        MenuButton {
            id: uniformOnButton
            menuButtonText: "Uniform on"

            helpText: "Apply the scaling factor to all axis of the model simultaneously"
        }

        MenuButton {
            id: resetButton
            menuButtonText: "Reset"

            helpText: "Restore the initial model scaling values used when loading .stl file"
        }
    }
}
