import QtQuick 2.4
import QtQuick.Layouts 1.1
import QtQuick.Controls.Styles 1.4

import "../singletons"
import "../tweaks"
import "../buttons"

import UM 1.0 as UM

Item {

    id: sliderWithButtons

    property alias value:        slider.value
    property alias sliderWidth:  sliderWithButtons.width
    property alias sliderHeight: sliderWithButtons.height
    property int   singleStep:   1
    property int   buttonSize: {
        var rawButtonWidth = Math.ceil(sliderHeight * 0.08)
        return rawButtonWidth + rawButtonWidth%2 - 1
    }

    function setMax (val)
    {
        slider.setMaxValue (val)
    }

    function setMin (val)
    {
        slider.setMinimumValue (val)
    }

    ColumnLayout {

        spacing: parent.height * 0.02

        SliderButton {
            implicitWidth:  buttonSize
            implicitHeight: buttonSize
            buttonText:     "+"
            buttonMouseArea.onClicked: value += singleStep
        }

        CustomSlider {
            id:    slider

            style: SliderStyle {

                groove: Rectangle {
                    implicitWidth: 0.8 * sliderHeight
                    implicitHeight: 1
                    color: Colors.sliderGroove
                }

                handle: Rectangle {
                   color:          Colors.sliderHandle
                   implicitWidth:  buttonSize
                   implicitHeight: buttonSize


                   Text {
                        text:             "="
                        font.pixelSize:   Globals.fontPixelSize
                        font.family:      Fonts.boxed
                        font.weight:      Font.Black
                        color:            Colors.sliderLLColor
                        anchors.centerIn: parent
                        rotation:         -90
                   }

                }

            }

        }

        SliderButton {
            implicitWidth:  buttonSize
            implicitHeight: buttonSize
            buttonText:     "-"
            buttonMouseArea.onClicked: value -= singleStep
        }

    }

}
