import QtQuick 2.4
import QtQuick.Layouts 1.1

import "../singletons"
import "../tweaks"

Item {
    property alias instantAccept: spinBox.instant

    property alias spinBoxLabel: spinBoxLabel.text
    property alias spinBox: spinBox
    property alias spinBoxValue: spinBox.valueText
    property alias spinBoxUnit: spinBox.unitString
    property alias singleStep: spinBox.singleStep
    property alias spinBoxTextColor: spinBoxLabel.color

    property alias textField: spinBox.textField
    property alias plusAction: spinBox.plusButtonAction
    property alias minusAction: spinBox.minusButtonAction
    property alias acceptDot: spinBox.acceptDot
    property alias roundToStep: spinBox.roundToStep

    property alias labelWidthRatio: spinBoxLabel.widthRatio
    property alias onValueChanged: spinBox.onValueChanged
    property alias value : spinBox.value
    property alias validValue: spinBox.validValue
    property alias maxValue: spinBox.maxValue
    property alias minValue: spinBox.minValue
    property alias valueText: spinBox.valueText
    property alias standalone: spinBox.standalone
    property alias precision: spinBox.precision
    property alias unitString: spinBox.unitString

    Layout.fillWidth: true
    Layout.preferredHeight: spinBoxLabel.font.pixelSize * 2.09
    Layout.alignment: Qt.AlignCenter

    RowLayout {
        anchors.fill: parent
        spacing: 5

        SpinBoxLabel {
            id: spinBoxLabel
        }

        CustomSpinBox {
            id: spinBox
            Layout.fillWidth: true
        }
    }

    ButtonTweaks {
        id: spinBoxHelpTweak
        z: -1
        helpText: objectHelpText ? objectHelpText : ""
        helpImageSource: objectHelpImageSource ? objectHelpImageSource : ""
        hoverIndicatorEnabled: false
    }
}
