import QtQuick 2.0
import QtGraphicalEffects 1.0

import "../singletons"

Item {
    property alias leftShadow: leftShadow
    property alias rightShadow: rightShadow
    anchors.fill: parent

    //Bottom shadow
    Rectangle {
        id: bottomShadow
        width: parent.width
        height: 2

        y: parent.height

        LinearGradient{
            anchors.fill: parent
            gradient: Gradient {
                GradientStop {
                    position: 0.0
                    color: Colors.shadowDarker
                }
                GradientStop {
                    position: 1.0
                    color: Colors.shadowLighter
                }
            }
        }
    }

    //Right shadow
    Rectangle {
        id: rightShadow
        width: 1
        height: parent.height

        x: parent.x + parent.width
        y: 1

        color: Colors.shadowLighter
    }

    //Left shadow
    Rectangle {
        id: leftShadow
        width: 1
        height: parent.height

        x: -1
        y: 1

        color: Colors.shadowLighter
    }
}
