import QtQuick 2.5
import QtQuick.Layouts 1.1

import "../singletons"

Item {

    property alias buttonAction: mouseArea
    
    Layout.preferredHeight: parent.width * 0.60
    Layout.fillWidth: true

    Rectangle {

        anchors.fill: parent
        color: Colors.logoBackground

        MouseArea {
            id: mouseArea
            anchors.fill: parent
        }

        Image {
            anchors.centerIn: parent
            anchors.fill: parent
            source: "../images/new_logo.svg"
            fillMode: Image.PreserveAspectFit
            mipmap: true
        }

        Image {
            id: corner
            visible: true
            height: Globals.buttonTriangleSize
            y: (parent.height * 0.93) - corner.height
            x: parent.width - (parent.height - y)
            mirror: false
            fillMode: Image.PreserveAspectFit
            source: "../images/corner.svg"
        }

    }

    ButtonTweaks{
        helpText: "Information about 3DGence Slicer. You can get help and change automatic updates settings here."
    }

}
