[shaders]
vertex =
    uniform highp mat4 u_modelViewProjectionMatrix;
    uniform vec3 u_window_size;
    attribute highp vec4 a_vertex;
    attribute lowp vec4 a_color;
    varying lowp vec4 v_color;

    void main()
    {
        gl_Position = u_modelViewProjectionMatrix * a_vertex;
        v_color = a_color;

        float ratio = u_window_size.y/u_window_size.x;
        gl_Position.x *= ratio;
        gl_Position.z = -gl_Position.z;

        gl_Position.x += 0.9;
        gl_Position.y -= 0.80;

    }

fragment =
    uniform lowp vec4 u_color;
    varying lowp vec4 v_color;

    void main()
    {
        gl_FragColor = v_color;
    }

[defaults]
u_color = [0.0, 0.0, 1.0, 1.0]

[bindings]
u_color = selection_color
u_modelViewProjectionMatrix = model_view_projection_matrix
u_window_size = windowsize


[attributes]
a_vertex = vertex

